searchData={"content_type":"text/markdown","items":[{"doc":"SurfaceUtils provides a include/2 macro which can import props from other components.\n\nUse the `included_props/2` function to pass included props to the component that is included. \n\n\nFor Example:\n```\ndefmodule ComponentToInclude do\n  use Surface.Component\n\n  @doc \"a boolean\"\n  prop(boolean, :boolean)\n\n  def render(assigns) do\n    ~F\"\"\"\n    ComponentToInclude\n    {#for prop <- __MODULE__.__props__()}\n      {assigns[prop.name]}\n    {/for}\n    \"\"\"\n  end\nend\n\ndefmodule TestComponent do\n  use Surface.Component\n  import SurfaceUtils\n\n  include(ComponentToInclude)\n\n  prop(own_prop, :any)\n\n  def render(assigns) do\n    ~F\"\"\"\n    {\"my_props: #{@own_prop}\"}\n     \n    \"\"\"\n  end\nend\n```","ref":"SurfaceUtils.html","title":"SurfaceUtils","type":"module"},{"doc":"Allows a component to include props from another component.\nProps can be selectively included similarly to Elixir's `import` using `only: [list_of_names]` and `except: [list_of_names]`.","ref":"SurfaceUtils.html#include/2","title":"SurfaceUtils.include/2","type":"macro"},{"doc":"Will extract the values for the props that are in the assigns for the specified component. Usefull when wrapping another component and the values for the props need to be passed on.","ref":"SurfaceUtils.html#included_props/2","title":"SurfaceUtils.included_props/2","type":"function"},{"doc":"","ref":"SurfaceUtils.MaybeWrapWithTag.html","title":"SurfaceUtils.MaybeWrapWithTag","type":"module"},{"doc":"* **tag** *:string*\n* **class** *:string*","ref":"SurfaceUtils.MaybeWrapWithTag.html#module-properties","title":"Properties - SurfaceUtils.MaybeWrapWithTag","type":"module"},{"doc":"* **default**","ref":"SurfaceUtils.MaybeWrapWithTag.html#module-slots","title":"Slots - SurfaceUtils.MaybeWrapWithTag","type":"module"},{"doc":"","ref":"SurfaceUtils.MaybeWrapWithTag.html#render/1","title":"SurfaceUtils.MaybeWrapWithTag.render/1","type":"function"}],"producer":{"name":"ex_doc","version":[48,46,51,52,46,50]}}